# This is the system-wide SDLMAME configuration file.
# The following entries only list OpenBSD-specific configuration
# and the options you may be the most interested in.
#
# More options are available, you can list your current configuration
# with sdlmame -showconfig.
#
# Users can also create their own mame.ini in a $HOME/.mame directory
# that can override system-wide settings.

#
# CORE SEARCH PATH OPTIONS
#
rompath                   $HOME/.mame/roms;/usr/local/share/sdlmame/roms
samplepath                $HOME/.mame/samples;/usr/local/share/sdlmame/samples
artpath                   $HOME/.mame/artwork;/usr/local/share/sdlmame/artwork
ctrlrpath                 $HOME/.mame/ctrlr;/usr/local/share/sdlmame/ctrlr
inipath                   $HOME/.mame;/etc/mame
fontpath                  $HOME/.mame;/usr/local/share/sdlmame
cheatpath                 $HOME/.mame/cheat;/usr/local/share/sdlmame/cheat

#
# CORE OUTPUT DIRECTORY OPTIONS
#
cfg_directory             $HOME/.mame/cfg
nvram_directory           $HOME/.mame/nvram
memcard_directory         $HOME/.mame/memcard
input_directory           $HOME/.mame/inp
state_directory           $HOME/.mame/sta
snapshot_directory        $HOME/.mame/snap
diff_directory            $HOME/.mame/diff
comment_directory         $HOME/.mame/comments

#
# VIDEO OPTIONS
#
# Uncomment if your graphic chipset is drm(4) capable
#video                     opengl

#
# SDL KEYBOARD MAPPING
#
# If you have a non-US keyboard and your keymap is available in
# /usr/local/share/sdlmame/keymaps, modify and uncomment the following
# lines.
#keymap                    1
#keymap_file               /usr/local/share/sdlmame/keymaps/km-fr.txt
